using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Office.Interop.Outlook;

namespace TXLooker.Common.Core
{
    /// <summary>
    ///         Outlook,   FlagsAttribute
    ///    Outlook  c    
    /// </summary>
    [FlagsAttribute]
    public enum OlBindType
    {
        /// <summary>
        /// 
        /// </summary>
        Undefined = 0,
        /// <summary>
        ///       Outlook
        /// </summary>
        Folders
    }

    /// <summary>
    ///        ...
    /// </summary>
    public interface IOlBindObject
    {
        /// <summary>
        /// 
        /// </summary>
        OlBindType BindType {  get; }
        /// <summary>
        ///       
        /// </summary>
        IEnumerable<MAPIFolder> Folders { get; }
    }

    /// <summary>
    ///       ..  Outlook
    /// </summary>
    /// <typeparam name="T"></typeparam>
    public class OlBinderObject<T>
    {
        /// <summary>
        /// 
        /// </summary>
        public Microsoft.Office.Interop.Outlook.Application Application
        {
            get{ return this.m_application; }
            internal set
            {
                if( value == null ) throw new NullReferenceException();
                this.m_application = value;
            }
        }
        private Microsoft.Office.Interop.Outlook.Application m_application = null;

        /// <summary>
        /// 
        /// </summary>
        public T Item
        {
            get { return this.m_item; }
            internal set
            {
                this.m_item = value;
            }
        }
        private T m_item;

        protected OlBinderObject()
        { }
        public OlBinderObject( Microsoft.Office.Interop.Outlook.Application application, T item ) : this()
        {
            this.Application = application;
            this.Item = item;
        }
        /// <summary>
        /// 
        /// </summary>
        public OlBindType BindType
        {
            get { return this.m_bindType; }
            internal set 
            {
                this.m_bindType = value;
            }
        }
        private OlBindType m_bindType = OlBindType.Undefined;
        /// <summary>
        /// 
        /// </summary>
        public IEnumerable<MAPIFolder> Folders 
        {
            get { return this.m_folders; }                
        }
        private List<MAPIFolder> m_folders = new List<MAPIFolder>();

        /// <summary>
        /// 
        /// </summary>
        public void BindWith( IEnumerable<MAPIFolder> folders)
        {
            if( folders == null )
                throw new NullReferenceException();

            this.m_folders.AddRange(folders);

            this.BindType |= OlBindType.Folders;
        }
    }
}
