using System.Drawing;
using Microsoft.Office.Core;

namespace TXLooker.Common.UI
{
    public delegate bool OnMenuItemClick();
    public delegate bool OnComboBoxSelected(string selectedItemText);

    public interface IOutlookUIFactory
    {
        CommandBarPopup CreateParentButton(CommandBar bar, string caption);

        CommandBarPopup CreateParentForPupup(CommandBarPopup bar, string caption);

        CommandBarButton CreateChildButtonForPopup(CommandBarPopup parent, Bitmap pictureIcon, Bitmap maskIcon, string caption,
                                           OnMenuItemClick clickHandler);

        CommandBarButton CreateChildButtonForBar(CommandBar parent, Bitmap pictureIcon, Bitmap maskIcon, string caption,
                                                 OnMenuItemClick clickHandler);

        CommandBarComboBox CreateComboBox(CommandBar bar, string text, string description, string tooltip, int width,
                                          int dropDownLines, OnComboBoxSelected clickHandler);
    }
}