using System;
using System.Collections.Generic;
using System.Text;
using System.Diagnostics;

namespace TXLooker.Hooks
{
    [DebuggerDisplay("HWnd = {_hwnd} DHWnd = {_dhwnd}")]
    public class ClipboardEventArgs : EventArgs
    {
        private readonly IntPtr _dhwnd;
        private readonly IntPtr _hwnd;

        [DebuggerHidden]
        public ClipboardEventArgs(IntPtr hwnd, IntPtr wParam)
        {
            this._hwnd = hwnd;
            this._dhwnd = wParam;
        }

        public IntPtr DHWnd
        {
            [DebuggerHidden]
            get
            {
                return this._dhwnd;
            }
        }

        public IntPtr HWnd
        {
            [DebuggerHidden]
            get
            {
                return this._hwnd;
            }
        }
    }
}
