using System;
using System.ComponentModel;
using System.Diagnostics;
using System.Windows.Forms;

namespace TXLooker.Hooks
{
    public class KeyEventArgs : System.Windows.Forms.KeyEventArgs
    {
        private Keys _vkCode;

        [DebuggerHidden]
        public KeyEventArgs(Keys keyData, Keys vkCode)
            : base(keyData)
        {
            this._vkCode = vkCode;
        }

        [DebuggerBrowsable(DebuggerBrowsableState.Never), EditorBrowsable(EditorBrowsableState.Never)]
        public new bool SuppressKeyPress
        {
            [DebuggerHidden]
            get
            {
                return base.SuppressKeyPress;
            }
            [DebuggerHidden]
            set
            {
                base.SuppressKeyPress = value;
            }
        }

        public Keys VKCode
        {
            [DebuggerHidden]
            get
            {
                return this._vkCode;
            }
        }
    }

}
