using System;
using System.Collections.Generic;
using System.Text;
using System.Diagnostics;

namespace TXLooker.Hooks
{
    [DebuggerDisplay("State = {_state} HWnd = {_hwnd}")]
    public class StateChangedEventArgs : EventArgs
    {
        private readonly IntPtr _hwnd;
        private readonly HookState _state;

        [DebuggerHidden]
        public StateChangedEventArgs(HookState hookState, IntPtr hwnd)
        {
            this._state = hookState;
            this._hwnd = hwnd;
        }

        public IntPtr HWnd
        {
            [DebuggerHidden]
            get
            {
                return this._hwnd;
            }
        }

        public HookState State
        {
            [DebuggerHidden]
            get
            {
                return this._state;
            }
        }
    }
}
