using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Office.Interop.Outlook;

namespace TXLooker.WorkItemExtention.Core
{
    public abstract class OlFolderView
    {
        public abstract WIObjectType WIObjectType { get; }

        public string OlViewName
        {
            get 
            {
                return this.m_viewName;  
            }
            set 
            { 
                if( string.IsNullOrEmpty( value ) ) throw new ArgumentException();
                this.m_viewName = value; 
            }
        }
        private string m_viewName = string.Empty;

        public bool WebViewOn
        {
            get { return this.m_bWebViewOn; }
            set { this.m_bWebViewOn = value; }
        }
        private bool m_bWebViewOn = false;

        public string WebViewURL
        {
            get { return this.m_webURL; }
            set { this.m_webURL = value; }
        }
        private string m_webURL = string.Empty;

        public OlViewType OlViewType
        {
            get { return this.m_olViewType;  }
            set { this.m_olViewType = value; }
        }
        private OlViewType m_olViewType = OlViewType.olTableView;

    }
}
