﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Windows.Forms;
using Microsoft.TeamFoundation.WorkItemTracking.Client;
using Microsoft.TeamFoundation.WorkItemTracking.Controls;
using TXLooker.WorkItemExtention.Core;

namespace TXLooker.WorkItemExtention.UI.QueryManager
{
    partial class QueryGridControl
    {
        /// <summary> 
        /// Required designer variable.
        /// </summary>
        private System.ComponentModel.IContainer components = null;

        private DataGridViewRolloverCellColumn dataGridViewRolloverCellColumn1;
        private DataGridViewRolloverCellColumn dataGridViewRolloverCellColumn2;
        private DataGridViewRolloverCellColumn dataGridViewRolloverCellColumn3;
        private DataGridViewRolloverCellColumn dataGridViewRolloverCellColumn4;
        private DataGridViewTextBoxColumn dataGridViewTextBoxColumn1;
        private DataGridViewTextBoxColumn dataGridViewTextBoxColumn2;
        private DataGridViewTextBoxColumn dataGridViewTextBoxColumn3;
        private DataGridViewTextBoxColumn dataGridViewTextBoxColumn4;
        private DataGridViewTextBoxColumn dataGridViewTextBoxColumn5;
        private GroupBox groupBox1;
        private bool m_allowePaint;
        private bool m_bEndUpdate;
        private DataGridViewRolloverCellColumn m_columnAndOr;
        private DataGridViewRolloverCellColumn m_columnField;
        private DataGridViewRolloverCellColumn m_columnOperator;
        private ToolStripMenuItem m_columnOptionsToolStripMenuItem;
        private ToolStripMenuItem m_columnsOptionsToolStripMenuItem;
        private List<int> m_columnsWidthResulGrid;
        private DataGridViewRolloverCellColumn m_columnValue;
        private ComboBox m_comboAndOr;
        private ComboBox m_comboField;
        private ComboBox m_comboOperator;
        private ComboBoxTree m_comboTreeValue;
        private ComboBox m_comboValue;
        private ContextMenuStrip m_contexMenuQueriesMap;
        private ContextMenuStrip m_contextMenuQueryGrid;
        private ToolStripMenuItem m_deleteQueryMenuItem;
        private ToolStripMenuItem m_deleteQueryToolStripMenuItem;
        private int m_distancePixel;
        private ToolStripMenuItem m_executeToolStripMenuItem;
        private Dictionary<string, FieldDefinition> m_fieldDictionary;
        private ToolStripMenuItem m_fileSaveToolStripMenuItem;
        private string m_From;
        private GroupBox m_gbQueryBody;
        private WorkItemResultGrid m_gridQueryResults;
        private DataGridViewTextBoxColumn m_Group;
        private GroupBox m_groupBoxResult;
        private ToolStripMenuItem m_groupClausesToolStripMenuItem;
        private List<Group> m_groupCollection;
        private DataGridViewTextBoxColumn m_GroupRectangleColumn;
        private MenuStrip m_menuStrip;
        private IOlWorkItemProcessor m_olProccessor;
        private Dictionary<string, string[]> m_operatorsDictionary;
        private string m_OrderBy;
        private Point m_pointLastCell;
        private ToolStripMenuItem m_privateQueriesToolStripMenuItem;
        private ToolStripMenuItem m_publicQueriesToolStripMenuItem;
        private DataGridView m_queryGrid;
        private string m_queryString;
        private ToolStripMenuItem m_removeClausesToolStripMenuItem;
        private ToolStripMenuItem m_renameQueryContext;
        private ToolStripMenuItem m_renameQueryToolStrip;
        private int m_rowNewValue;
        private ToolStripMenuItem m_runQueryToolStripMenuItem;
        private ToolStripMenuItem m_saveToolStripMenuItem;
        private string m_Select;
        private WorkItemStore m_store;
        private SolidBrush m_SysBack;
        private TFSTreeCtrl m_tfsTreeCtrl;
        private ToolStripTextBox m_toolStripTextBoxQueryName;
        private ToolStripMenuItem m_ungroupClausesToolStripMenuItem;
        private ToolStripMenuItem m_updateQueryToolStripMenuItem;
        private ToolStripSeparator toolStripSeparator1;
        private ToolStripSeparator toolStripSeparator2;

        // Events
        public event EventHandler DeleteNonFilledClauses;

        /// <summary> 
        /// Clean up any resources being used.
        /// </summary>
        /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
        protected override void Dispose(bool disposing)
        {
            if (disposing && (components != null))
            {
                components.Dispose();
            }
            base.Dispose(disposing);
        }

        #region Component Designer generated code

        /// <summary> 
        /// Required method for Designer support - do not modify 
        /// the contents of this method with the code editor.
        /// </summary>
        private void InitializeComponent()
        {
            this.components = new Container();
            DataGridViewCellStyle style = new DataGridViewCellStyle();
            this.m_queryGrid = new DataGridView();
            this.m_GroupRectangleColumn = new DataGridViewTextBoxColumn();
            this.m_columnAndOr = new DataGridViewRolloverCellColumn();
            this.m_columnField = new DataGridViewRolloverCellColumn();
            this.m_columnOperator = new DataGridViewRolloverCellColumn();
            this.m_columnValue = new DataGridViewRolloverCellColumn();
            this.m_Group = new DataGridViewTextBoxColumn();
            this.m_contextMenuQueryGrid = new System.Windows.Forms.ContextMenuStrip(this.components);
            this.m_removeClausesToolStripMenuItem = new ToolStripMenuItem();
            this.toolStripSeparator1 = new ToolStripSeparator();
            this.m_groupClausesToolStripMenuItem = new ToolStripMenuItem();
            this.m_ungroupClausesToolStripMenuItem = new ToolStripMenuItem();
            this.toolStripSeparator2 = new ToolStripSeparator();
            this.m_runQueryToolStripMenuItem = new ToolStripMenuItem();
            this.m_columnOptionsToolStripMenuItem = new ToolStripMenuItem();
            this.m_menuStrip = new MenuStrip();
            this.m_executeToolStripMenuItem = new ToolStripMenuItem();
            this.m_columnsOptionsToolStripMenuItem = new ToolStripMenuItem();
            this.m_saveToolStripMenuItem = new ToolStripMenuItem();
            this.m_publicQueriesToolStripMenuItem = new ToolStripMenuItem();
            this.m_privateQueriesToolStripMenuItem = new ToolStripMenuItem();
            this.m_fileSaveToolStripMenuItem = new ToolStripMenuItem();
            this.m_updateQueryToolStripMenuItem = new ToolStripMenuItem();
            this.m_renameQueryToolStrip = new ToolStripMenuItem();
            this.m_deleteQueryToolStripMenuItem = new ToolStripMenuItem();
            this.m_toolStripTextBoxQueryName = new ToolStripTextBox();
            this.groupBox1 = new GroupBox();
            this.m_tfsTreeCtrl = new TFSTreeCtrl();
            this.m_contexMenuQueriesMap = new ContextMenuStrip(this.components);
            this.m_renameQueryContext = new ToolStripMenuItem();
            this.m_deleteQueryMenuItem = new ToolStripMenuItem();
            this.m_groupBoxResult = new GroupBox();
            this.m_gridQueryResults = new WorkItemResultGrid();
            this.m_gbQueryBody = new GroupBox();
            this.dataGridViewTextBoxColumn1 = new DataGridViewTextBoxColumn();
            this.dataGridViewRolloverCellColumn1 = new DataGridViewRolloverCellColumn();
            this.dataGridViewRolloverCellColumn2 = new DataGridViewRolloverCellColumn();
            this.dataGridViewRolloverCellColumn3 = new DataGridViewRolloverCellColumn();
            this.dataGridViewRolloverCellColumn4 = new DataGridViewRolloverCellColumn();
            this.dataGridViewTextBoxColumn2 = new DataGridViewTextBoxColumn();
            this.dataGridViewTextBoxColumn3 = new DataGridViewTextBoxColumn();
            this.dataGridViewTextBoxColumn4 = new DataGridViewTextBoxColumn();
            this.dataGridViewTextBoxColumn5 = new DataGridViewTextBoxColumn();
            ((ISupportInitialize)this.m_queryGrid).BeginInit();
            this.m_contextMenuQueryGrid.SuspendLayout();
            this.m_menuStrip.SuspendLayout();
            this.groupBox1.SuspendLayout();
            this.m_contexMenuQueriesMap.SuspendLayout();
            this.m_groupBoxResult.SuspendLayout();
            ((ISupportInitialize)this.m_gridQueryResults).BeginInit();
            this.m_gbQueryBody.SuspendLayout();
            base.SuspendLayout();
            this.m_queryGrid.AllowUserToAddRows = false;
            this.m_queryGrid.AllowUserToDeleteRows = false;
            this.m_queryGrid.AllowUserToResizeColumns = false;
            this.m_queryGrid.AllowUserToResizeRows = false;
            this.m_queryGrid.Anchor = AnchorStyles.Right | AnchorStyles.Left | AnchorStyles.Top;
            this.m_queryGrid.AutoSizeRowsMode = DataGridViewAutoSizeRowsMode.AllCells;
            this.m_queryGrid.ColumnHeadersHeightSizeMode = DataGridViewColumnHeadersHeightSizeMode.DisableResizing;
            this.m_queryGrid.Columns.AddRange(new DataGridViewColumn[] { this.m_GroupRectangleColumn, this.m_columnAndOr, this.m_columnField, this.m_columnOperator, this.m_columnValue, this.m_Group });
            this.m_queryGrid.Cursor = Cursors.Default;
            this.m_queryGrid.EditMode = DataGridViewEditMode.EditOnEnter;
            this.m_queryGrid.Location = new Point(5, 0x13);
            this.m_queryGrid.Name = "m_queryGrid";
            this.m_queryGrid.RowHeadersWidth = 30;
            this.m_queryGrid.RowHeadersWidthSizeMode = DataGridViewRowHeadersWidthSizeMode.DisableResizing;
            this.m_queryGrid.ScrollBars = ScrollBars.Vertical;
            this.m_queryGrid.SelectionMode = DataGridViewSelectionMode.FullRowSelect;
            this.m_queryGrid.Size = new Size(0x2aa, 0xb9);
            this.m_queryGrid.TabIndex = 2;
            this.m_queryGrid.CellValueChanged += new DataGridViewCellEventHandler(this.OnCellValueChange);
            this.m_queryGrid.Scroll += new ScrollEventHandler(this.OnScroll);
            this.m_queryGrid.SizeChanged += new EventHandler(this.OnQueryGridSizeChange);
            this.m_queryGrid.CellPainting += new DataGridViewCellPaintingEventHandler(this.OnCellPainting);
            this.m_queryGrid.EditingControlShowing += new DataGridViewEditingControlShowingEventHandler(this.OnEditingControlShowing);
            this.m_queryGrid.CurrentCellChanged += new EventHandler(this.OnCurrentCellChanged);
            this.m_queryGrid.Paint += new PaintEventHandler(this.OnPaint);
            this.m_queryGrid.Click += new EventHandler(this.OnClick);
            this.m_GroupRectangleColumn.HeaderText = "";
            this.m_GroupRectangleColumn.Name = "m_GroupRectangleColumn";
            this.m_GroupRectangleColumn.ReadOnly = true;
            this.m_GroupRectangleColumn.Resizable = DataGridViewTriState.False;
            this.m_GroupRectangleColumn.SortMode = DataGridViewColumnSortMode.NotSortable;
            this.m_GroupRectangleColumn.Width = 30;
            this.m_columnAndOr.HeaderText = "And/Or";
            this.m_columnAndOr.Name = "m_columnAndOr";
            this.m_columnAndOr.Resizable = DataGridViewTriState.False;
            this.m_columnAndOr.Width = 80;
            this.m_columnField.HeaderText = "Field";
            this.m_columnField.Name = "m_columnField";
            this.m_columnField.Resizable = DataGridViewTriState.False;
            this.m_columnField.Width = 120;
            this.m_columnOperator.HeaderText = "Operator";
            this.m_columnOperator.Name = "m_columnOperator";
            this.m_columnOperator.Resizable = DataGridViewTriState.False;
            this.m_columnOperator.Width = 120;
            this.m_columnValue.HeaderText = "Value";
            this.m_columnValue.Name = "m_columnValue";
            this.m_columnValue.Resizable = DataGridViewTriState.False;
            this.m_columnValue.Width = 300;
            this.m_Group.HeaderText = "";
            this.m_Group.Name = "m_Group";
            this.m_Group.Resizable = DataGridViewTriState.False;
            this.m_Group.SortMode = DataGridViewColumnSortMode.NotSortable;
            this.m_Group.Width = 5;
            this.m_contextMenuQueryGrid.Items.AddRange(new ToolStripItem[] { this.m_removeClausesToolStripMenuItem, this.toolStripSeparator1, this.m_groupClausesToolStripMenuItem, this.m_ungroupClausesToolStripMenuItem, this.toolStripSeparator2, this.m_runQueryToolStripMenuItem, this.m_columnOptionsToolStripMenuItem });
            this.m_contextMenuQueryGrid.Name = "m_contextMenuQueryGrid";
            this.m_contextMenuQueryGrid.Size = new Size(0xad, 0x7e);
            this.m_contextMenuQueryGrid.Opening += new CancelEventHandler(this.OnOpening);
            this.m_removeClausesToolStripMenuItem.Name = "m_removeClausesToolStripMenuItem";
            this.m_removeClausesToolStripMenuItem.Size = new Size(0xac, 0x16);
            this.m_removeClausesToolStripMenuItem.Text = "Remove Clause(s)";
            this.m_removeClausesToolStripMenuItem.Click += new EventHandler(this.OnRemoveClauses);
            this.toolStripSeparator1.Name = "toolStripSeparator1";
            this.toolStripSeparator1.Size = new Size(0xa9, 6);
            this.m_groupClausesToolStripMenuItem.Name = "m_groupClausesToolStripMenuItem";
            this.m_groupClausesToolStripMenuItem.Size = new Size(0xac, 0x16);
            this.m_groupClausesToolStripMenuItem.Text = "Group Clauses";
            this.m_groupClausesToolStripMenuItem.Click += new EventHandler(this.OnGroupClausesClick);
            this.m_ungroupClausesToolStripMenuItem.Name = "m_ungroupClausesToolStripMenuItem";
            this.m_ungroupClausesToolStripMenuItem.Size = new Size(0xac, 0x16);
            this.m_ungroupClausesToolStripMenuItem.Text = "Ungroup Clauses";
            this.m_ungroupClausesToolStripMenuItem.Click += new EventHandler(this.OnUnGroupClauses);
            this.toolStripSeparator2.Name = "toolStripSeparator2";
            this.toolStripSeparator2.Size = new Size(0xa9, 6);
            this.m_runQueryToolStripMenuItem.Name = "m_runQueryToolStripMenuItem";
            this.m_runQueryToolStripMenuItem.Size = new Size(0xac, 0x16);
            this.m_runQueryToolStripMenuItem.Text = "Run Query";
            this.m_runQueryToolStripMenuItem.Click += new EventHandler(this.OnExecute);
            this.m_columnOptionsToolStripMenuItem.Name = "m_columnOptionsToolStripMenuItem";
            this.m_columnOptionsToolStripMenuItem.Size = new Size(0xac, 0x16);
            this.m_columnOptionsToolStripMenuItem.Text = "Column Options";
            this.m_columnOptionsToolStripMenuItem.Click += new EventHandler(this.OnColumnsOptions);
            this.m_menuStrip.Anchor = AnchorStyles.Right | AnchorStyles.Left | AnchorStyles.Top;
            this.m_menuStrip.Dock = DockStyle.None;
            this.m_menuStrip.Items.AddRange(new ToolStripItem[] { this.m_executeToolStripMenuItem, this.m_columnsOptionsToolStripMenuItem, this.m_saveToolStripMenuItem, this.m_updateQueryToolStripMenuItem, this.m_renameQueryToolStrip, this.m_deleteQueryToolStripMenuItem, this.m_toolStripTextBoxQueryName });
            this.m_menuStrip.Location = new Point(0, 0);
            this.m_menuStrip.Name = "m_menuStrip";
            this.m_menuStrip.Size = new Size(0x3a0, 0x19);
            this.m_menuStrip.TabIndex = 3;
            this.m_menuStrip.Text = "menuStrip1";
            this.m_executeToolStripMenuItem.Name = "m_executeToolStripMenuItem";
            this.m_executeToolStripMenuItem.Size = new Size(0x3a, 0x15);
            this.m_executeToolStripMenuItem.Text = "Execute";
            this.m_executeToolStripMenuItem.Click += new EventHandler(this.OnExecute);
            this.m_columnsOptionsToolStripMenuItem.Name = "m_columnsOptionsToolStripMenuItem";
            this.m_columnsOptionsToolStripMenuItem.Size = new Size(0x5e, 0x15);
            this.m_columnsOptionsToolStripMenuItem.Text = "Column Options";
            this.m_columnsOptionsToolStripMenuItem.Click += new EventHandler(this.OnColumnsOptions);
            this.m_saveToolStripMenuItem.DropDownItems.AddRange(new ToolStripItem[] { this.m_publicQueriesToolStripMenuItem, this.m_privateQueriesToolStripMenuItem, this.m_fileSaveToolStripMenuItem });
            this.m_saveToolStripMenuItem.Name = "m_saveToolStripMenuItem";
            this.m_saveToolStripMenuItem.Size = new Size(0x4c, 0x15);
            this.m_saveToolStripMenuItem.Text = "Save Query";
            this.m_publicQueriesToolStripMenuItem.Name = "m_publicQueriesToolStripMenuItem";
            this.m_publicQueriesToolStripMenuItem.Size = new Size(0x9f, 0x16);
            this.m_publicQueriesToolStripMenuItem.Text = "Public Queries";
            this.m_publicQueriesToolStripMenuItem.Click += new EventHandler(this.OnSavePublicQueries);
            this.m_privateQueriesToolStripMenuItem.Name = "m_privateQueriesToolStripMenuItem";
            this.m_privateQueriesToolStripMenuItem.Size = new Size(0x9f, 0x16);
            this.m_privateQueriesToolStripMenuItem.Text = "Private Queries";
            this.m_privateQueriesToolStripMenuItem.Click += new EventHandler(this.OnSavePrivateQueries);
            this.m_fileSaveToolStripMenuItem.Name = "m_fileSaveToolStripMenuItem";
            this.m_fileSaveToolStripMenuItem.Size = new Size(0x9f, 0x16);
            this.m_fileSaveToolStripMenuItem.Text = "Save  File";
            this.m_fileSaveToolStripMenuItem.Click += new EventHandler(this.OnFileSaveQuery);
            this.m_updateQueryToolStripMenuItem.Name = "m_updateQueryToolStripMenuItem";
            this.m_updateQueryToolStripMenuItem.Size = new Size(0x57, 0x15);
            this.m_updateQueryToolStripMenuItem.Text = "Update Query";
            this.m_updateQueryToolStripMenuItem.Click += new EventHandler(this.OnUpdateQuery);
            this.m_renameQueryToolStrip.Name = "m_renameQueryToolStrip";
            this.m_renameQueryToolStrip.Size = new Size(0x5b, 0x15);
            this.m_renameQueryToolStrip.Text = "Rename Query";
            this.m_renameQueryToolStrip.Click += new EventHandler(this.OnRenameQuery);
            this.m_deleteQueryToolStripMenuItem.Name = "m_deleteQueryToolStripMenuItem";
            this.m_deleteQueryToolStripMenuItem.Size = new Size(0x53, 0x15);
            this.m_deleteQueryToolStripMenuItem.Text = "Delete Query";
            this.m_deleteQueryToolStripMenuItem.Click += new EventHandler(this.OnDeleteStoredQuery);
            this.m_toolStripTextBoxQueryName.Name = "m_toolStripTextBoxQueryName";
            this.m_toolStripTextBoxQueryName.Size = new Size(430, 0x15);
            this.groupBox1.Anchor = AnchorStyles.Left | AnchorStyles.Bottom | AnchorStyles.Top;
            this.groupBox1.BackColor = SystemColors.Control;
            this.groupBox1.Controls.Add(this.m_tfsTreeCtrl);
            this.groupBox1.Location = new Point(1, 0x18);
            this.groupBox1.Name = "groupBox1";
            this.groupBox1.Size = new Size(0xe9, 0x1d3);
            this.groupBox1.TabIndex = 14;
            this.groupBox1.TabStop = false;
            this.groupBox1.Text = "Queries";
            this.m_tfsTreeCtrl.Anchor = AnchorStyles.Left | AnchorStyles.Bottom | AnchorStyles.Top;
            this.m_tfsTreeCtrl.ContextMenuStrip = this.m_contexMenuQueriesMap;
            this.m_tfsTreeCtrl.GuidNodeExpand = new Guid("00000000-0000-0000-0000-000000000000");
            this.m_tfsTreeCtrl.Location = new Point(6, 0x13);
            this.m_tfsTreeCtrl.Name = "m_tfsTreeCtrl";
            this.m_tfsTreeCtrl.Size = new Size(0xda, 0x1ba);
            this.m_tfsTreeCtrl.TabIndex = 1;
            this.m_contexMenuQueriesMap.Items.AddRange(new ToolStripItem[] { this.m_renameQueryContext, this.m_deleteQueryMenuItem });
            this.m_contexMenuQueriesMap.Name = "m_contexMenuQueriesMap";
            this.m_contexMenuQueriesMap.Size = new Size(0x9e, 0x30);
            this.m_contexMenuQueriesMap.Opening += new CancelEventHandler(this.OnContextMenuQueriesMapOpening);
            this.m_renameQueryContext.Name = "m_renameQueryContext";
            this.m_renameQueryContext.Size = new Size(0x9d, 0x16);
            this.m_renameQueryContext.Text = "Rename Query";
            this.m_renameQueryContext.Click += new EventHandler(this.OnRenameQuery);
            this.m_deleteQueryMenuItem.Name = "m_deleteQueryMenuItem";
            this.m_deleteQueryMenuItem.Size = new Size(0x9d, 0x16);
            this.m_deleteQueryMenuItem.Text = "Delete Query";
            this.m_deleteQueryMenuItem.Click += new EventHandler(this.OnDeleteStoredQuery);
            this.m_groupBoxResult.Anchor = AnchorStyles.Right | AnchorStyles.Left | AnchorStyles.Bottom | AnchorStyles.Top;
            this.m_groupBoxResult.Controls.Add(this.m_gridQueryResults);
            this.m_groupBoxResult.Location = new Point(0xf1, 0xec);
            this.m_groupBoxResult.Name = "m_groupBoxResult";
            this.m_groupBoxResult.Size = new Size(0x2b5, 0xff);
            this.m_groupBoxResult.TabIndex = 0x10;
            this.m_groupBoxResult.TabStop = false;
            this.m_groupBoxResult.Text = "Result";
            this.m_gridQueryResults.AllowUserToAddRows = false;
            this.m_gridQueryResults.AllowUserToDeleteRows = false;
            this.m_gridQueryResults.AllowUserToResizeRows = false;
            this.m_gridQueryResults.Anchor = AnchorStyles.Right | AnchorStyles.Left | AnchorStyles.Bottom | AnchorStyles.Top;
            this.m_gridQueryResults.AutoSizeColumnsMode = DataGridViewAutoSizeColumnsMode.DisplayedCells;
            this.m_gridQueryResults.AutoSizeRowsMode = DataGridViewAutoSizeRowsMode.DisplayedCells;
            this.m_gridQueryResults.BackgroundColor = SystemColors.Control;
            this.m_gridQueryResults.BoldDirtyItems = false;
            this.m_gridQueryResults.CellBorderStyle = DataGridViewCellBorderStyle.SingleHorizontal;
            this.m_gridQueryResults.ColumnHeadersBorderStyle = DataGridViewHeaderBorderStyle.Custom;
            style.Alignment = DataGridViewContentAlignment.MiddleLeft;
            style.BackColor = SystemColors.Control;
            style.ForeColor = SystemColors.WindowText;
            style.SelectionBackColor = SystemColors.Highlight;
            style.SelectionForeColor = SystemColors.HighlightText;
            style.WrapMode = DataGridViewTriState.False;
            this.m_gridQueryResults.ColumnHeadersDefaultCellStyle = style;
            this.m_gridQueryResults.ColumnHeadersHeightSizeMode = DataGridViewColumnHeadersHeightSizeMode.AutoSize;
            this.m_gridQueryResults.DisplayIsDirtyColumn = false;
            this.m_gridQueryResults.EditMode = DataGridViewEditMode.EditProgrammatically;
            this.m_gridQueryResults.GridColor = SystemColors.ButtonFace;
            this.m_gridQueryResults.Location = new Point(6, 0x13);
            this.m_gridQueryResults.MultiSelect = false;
            this.m_gridQueryResults.Name = "m_gridQueryResults";
            this.m_gridQueryResults.PauseBeforeFill = 500;
            this.m_gridQueryResults.ReadOnly = true;
            this.m_gridQueryResults.ResultOptions = null;
            this.m_gridQueryResults.RowHeadersBorderStyle = DataGridViewHeaderBorderStyle.Custom;
            this.m_gridQueryResults.RowHeadersVisible = false;
            this.m_gridQueryResults.RowHeadersWidthSizeMode = DataGridViewRowHeadersWidthSizeMode.DisableResizing;
            this.m_gridQueryResults.RowTemplate.Resizable = DataGridViewTriState.False;
            this.m_gridQueryResults.SelectionMode = DataGridViewSelectionMode.FullRowSelect;
            this.m_gridQueryResults.ShowCellErrors = false;
            this.m_gridQueryResults.ShowCellToolTips = false;
            this.m_gridQueryResults.ShowEditingIcon = false;
            this.m_gridQueryResults.ShowRowErrors = false;
            this.m_gridQueryResults.Size = new Size(0x2a9, 230);
            this.m_gridQueryResults.SortBackcolor = Color.White;
            this.m_gridQueryResults.SortForecolor = Color.Black;
            this.m_gridQueryResults.StretchLastColumn = true;
            this.m_gridQueryResults.TabIndex = 12;
            this.m_gridQueryResults.ValueProvider = null;
            this.m_gridQueryResults.VirtualMode = true;
            this.m_gridQueryResults.VirtualThumbTracking = false;
            this.m_gridQueryResults.WorkItemCollection = null;
            this.m_gridQueryResults.CellDoubleClick += new DataGridViewCellEventHandler(this.OnCellContentDoubleClick);
            this.m_gbQueryBody.Anchor = AnchorStyles.Right | AnchorStyles.Left | AnchorStyles.Top;
            this.m_gbQueryBody.Controls.Add(this.m_queryGrid);
            this.m_gbQueryBody.Location = new Point(0xf1, 0x18);
            this.m_gbQueryBody.Name = "m_gbQueryBody";
            this.m_gbQueryBody.Size = new Size(0x2b4, 0xd4);
            this.m_gbQueryBody.TabIndex = 0x11;
            this.m_gbQueryBody.TabStop = false;
            this.m_gbQueryBody.Text = "Query Body";
            this.dataGridViewTextBoxColumn1.HeaderText = "And/Or";
            this.dataGridViewTextBoxColumn1.Name = "dataGridViewTextBoxColumn1";
            this.dataGridViewTextBoxColumn1.ReadOnly = true;
            this.dataGridViewTextBoxColumn1.Resizable = DataGridViewTriState.False;
            this.dataGridViewTextBoxColumn1.SortMode = DataGridViewColumnSortMode.NotSortable;
            this.dataGridViewTextBoxColumn1.Width = 80;
            this.dataGridViewRolloverCellColumn1.HeaderText = "And/Or";
            this.dataGridViewRolloverCellColumn1.Name = "dataGridViewRolloverCellColumn1";
            this.dataGridViewRolloverCellColumn1.Resizable = DataGridViewTriState.False;
            this.dataGridViewRolloverCellColumn1.Width = 80;
            this.dataGridViewRolloverCellColumn2.HeaderText = "Field";
            this.dataGridViewRolloverCellColumn2.Name = "dataGridViewRolloverCellColumn2";
            this.dataGridViewRolloverCellColumn2.Resizable = DataGridViewTriState.False;
            this.dataGridViewRolloverCellColumn2.Width = 120;
            this.dataGridViewRolloverCellColumn3.HeaderText = "Operator";
            this.dataGridViewRolloverCellColumn3.Name = "dataGridViewRolloverCellColumn3";
            this.dataGridViewRolloverCellColumn3.Resizable = DataGridViewTriState.False;
            this.dataGridViewRolloverCellColumn3.Width = 120;
            this.dataGridViewRolloverCellColumn4.HeaderText = "Value";
            this.dataGridViewRolloverCellColumn4.Name = "dataGridViewRolloverCellColumn4";
            this.dataGridViewRolloverCellColumn4.Resizable = DataGridViewTriState.False;
            this.dataGridViewRolloverCellColumn4.Width = 300;
            this.dataGridViewTextBoxColumn2.HeaderText = "Field";
            this.dataGridViewTextBoxColumn2.Name = "dataGridViewTextBoxColumn2";
            this.dataGridViewTextBoxColumn2.Resizable = DataGridViewTriState.False;
            this.dataGridViewTextBoxColumn2.SortMode = DataGridViewColumnSortMode.NotSortable;
            this.dataGridViewTextBoxColumn2.Width = 120;
            this.dataGridViewTextBoxColumn3.HeaderText = "Operator";
            this.dataGridViewTextBoxColumn3.Name = "dataGridViewTextBoxColumn3";
            this.dataGridViewTextBoxColumn3.SortMode = DataGridViewColumnSortMode.NotSortable;
            this.dataGridViewTextBoxColumn3.Width = 120;
            this.dataGridViewTextBoxColumn4.HeaderText = "Value";
            this.dataGridViewTextBoxColumn4.Name = "dataGridViewTextBoxColumn4";
            this.dataGridViewTextBoxColumn4.SortMode = DataGridViewColumnSortMode.NotSortable;
            this.dataGridViewTextBoxColumn4.Width = 300;
            this.dataGridViewTextBoxColumn5.HeaderText = "";
            this.dataGridViewTextBoxColumn5.Name = "dataGridViewTextBoxColumn5";
            this.dataGridViewTextBoxColumn5.Width = 50;
            base.AutoScaleDimensions = new SizeF(6f, 13f);

            base.Controls.Add(this.m_gbQueryBody);
            base.Controls.Add(this.m_groupBoxResult);
            base.Controls.Add(this.groupBox1);
            base.Controls.Add(this.m_menuStrip);
            base.Size = new System.Drawing.Size(940, 0x1f1);
            ((ISupportInitialize)this.m_queryGrid).EndInit();
            this.m_contextMenuQueryGrid.ResumeLayout(false);
            this.m_menuStrip.ResumeLayout(false);
            this.m_menuStrip.PerformLayout();
            this.groupBox1.ResumeLayout(false);
            this.m_contexMenuQueriesMap.ResumeLayout(false);
            this.m_groupBoxResult.ResumeLayout(false);
            ((ISupportInitialize)this.m_gridQueryResults).EndInit();
            this.m_gbQueryBody.ResumeLayout(false);
            base.ResumeLayout(false);
            base.PerformLayout();
        }

        #endregion
    }
}
