namespace TXLooker.WorkItemExtention.WIQL
{
    using System;

    public class NodeVariable : NodeItem
    {
        private object m_tag;
        private DataType m_type;

        public NodeVariable(string s) : base(NodeType.Variable, s)
        {
        }

        public override void Bind(IExternal e, NodeTableName tableContext, NodeFieldName fieldContext)
        {
            if (e != null)
            {
                this.m_tag = e.FindVariable(base.Value);
                Tools.EnsureSyntax(this.m_tag != null, SyntaxError.VariableDoesNotExist, this);
                this.m_type = e.GetVariableDataType(this.m_tag);
                Tools.EnsureSyntax(this.m_type != DataType.Unknown, SyntaxError.UnknownVariableType, this);
            }
            base.Bind(e, tableContext, fieldContext);
        }

        public override string ToString()
        {
            return string.Format("@{0}", base.Value);
        }

        public override DataType DataType
        {
            get
            {
                return this.m_type;
            }
        }

        public override bool IsConst
        {
            get
            {
                return true;
            }
        }

        public object Tag
        {
            get
            {
                return this.m_tag;
            }
        }
    }
}

