using TeamXpandLicence.ObjectExchange;
using TXLooker.License;

namespace TXLooker.Licence
{
    /// <summary>
    /// This will always return Full lincense info with 100 days left.
    /// </summary>
    public class NullLicenseCheck: ILicenceCheck
    {
        private string currentLicenseKey;
        private LicenceType currentLicenseType;
        private int daysLeft;

        public NullLicenseCheck(string licenseKey)
        {
            currentLicenseKey = licenseKey;
        }

        /// <summary>
        /// Returns type of license in use
        /// </summary>
        public LicenceType LicenceType
        {
            get { return currentLicenseType; }
            set { currentLicenseType = value; }
        }

        /// <summary>
        /// Provides the number of days license will be available
        /// </summary>
        public int DaysOff
        {
            get { return daysLeft; }
            set { daysLeft = value; }
        }

        /// <summary>
        /// 
        /// </summary>
        public void CheckLicence()
        {
            //no license check will be performed
            LicenceType = LicenceType.Full;
            DaysOff = 10;
        }
    }
}